Bug 429850 - crontab error with @reboot entry
crontab error with @reboot entry
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vixie-cron (Show other bugs)
4.6
i386 Linux
low Severity medium
: rc
: ---
Assigned To: Marcela Mašláňová
Brock Organ
:
Depends On:
Blocks: 476972 554606
  Show dependency treegraph
 
Reported: 2008-01-23 09:06 EST by jddceo
Modified: 2010-01-12 00:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 07:17:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jddceo 2008-01-23 09:06:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.8.1.9) Gecko/20071025 Firefox/2.0.0.9

Description of problem:
Hi there,

we have a lot of RH ES servers version 3 and 4, each are up2date.
On several machines we use the option @reboot. If we need to make a /etc/init.d/cron restart, all entries with the @reboot wil be executed.

Kind regards

Alexander

Version-Release number of selected component (if applicable):
ISC Cron V4.1

How reproducible:
Always


Steps to Reproduce:
1.crontab -e
2.@reboot /bin/date >/root/boottime
3./etc/init.d/cron restart
4.ls -la /root/boottime


Actual Results:


Expected Results:


Additional info:
Comment 1 Marcela Mašláňová 2008-01-23 11:28:27 EST
Well, there are two possibilities how to use @reboot macro. In our cron is
reboot for start the job after reboot of computer, not after restart of the
daemon. For the feature is needed new macro f.e. @restart.
Please open an issue tracker for fix in RHEL-3|4. I'll be working on this
feature in upstream.
Comment 2 jddceo 2008-01-24 03:11:15 EST
Sorry, but you are wrong, @reboot is the same like @restart, I only have @reboot
in my crontab and they are executed each time I restart the daemon.

Kind regards

Alexander
Comment 3 Marcela Mašláňová 2008-01-24 03:34:12 EST
Ok, from your first comment wasn't clear what's the behavior now.
Comment 4 Marcela Mašláňová 2008-01-28 04:13:24 EST
Correct component is vixie-cron.
Comment 5 jddceo 2008-01-28 04:34:34 EST
yes, it is. I don't know if there is another one?

I don't know how to understand your message.
Comment 6 Marcela Mašláňová 2008-01-28 04:43:23 EST
I changed bug on correct component. It was reported on crontabs, which is false.
Comment 12 errata-xmlrpc 2009-02-04 07:17:27 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0025.html

Note You need to log in before you can comment on or make changes to this bug.